package org.greenstone.gsdl3.gs3build.database;

import java.util.List;
import java.util.ArrayList;
import java.util.Calendar;
import java.util.GregorianCalendar;

public class GS3SQLAction
{ String      table;
  List        values;

  public GS3SQLAction(String table)
  {
    this.table  = table;
    this.values = new ArrayList();
  }

  public void addValue(String field, String value, String type)
  { this.values.add(new GS3SQLValue(field, value, type));
  }
  
  public void addValue(String field, String value)
  { this.values.add(new GS3SQLValue(field, value));
  }

  public void addDate(String field, java.sql.Timestamp date)
  { this.values.add(new GS3SQLValue(field, getDateString(date)));
  }

  public static String getDateString(java.sql.Timestamp date)
  { StringBuffer reply = new StringBuffer();
    Calendar calendar = new GregorianCalendar();
    calendar.setTime(date);

    reply.append(Integer.toString(calendar.get(Calendar.YEAR)));
    reply.append("-");
    reply.append(Integer.toString(calendar.get(Calendar.MONTH)+1));
    reply.append("-");
    reply.append(Integer.toString(calendar.get(Calendar.DAY_OF_MONTH)));
    reply.append(" ");
    reply.append(Integer.toString(calendar.get(Calendar.HOUR_OF_DAY)));
    reply.append(":");
    reply.append(Integer.toString(calendar.get(Calendar.MINUTE)));
    reply.append(":");
    reply.append(Integer.toString(calendar.get(Calendar.SECOND)));

    return reply.toString();
  }
  
  public void addField(String field)
  { this.values.add(new GS3SQLValue(field, null));
  }
}

